Remove unnecessary requires from helpers
authorAndy Allan <git@gravitystorm.co.uk>
Wed, 6 Feb 2019 11:17:54 +0000 (12:17 +0100)
committerAndy Allan <git@gravitystorm.co.uk>
Wed, 6 Feb 2019 11:17:54 +0000 (12:17 +0100)
app/helpers/browse_helper.rb
app/helpers/browse_tags_helper.rb
app/helpers/title_helper.rb

index 2c414004d4516b1fec2ed9887e8801eb056f22f3..63f48a876ee14653f8d2205674b34d639c073f5a 100644 (file)
@@ -1,5 +1,3 @@
-require "cgi"
-
 module BrowseHelper
   def printable_name(object, version = false)
     id = if object.id.is_a?(Array)
index 038c5ae5bb7ce08b495a8670b8234a671ff7fa1f..7c43511c45bcfe7579d91602fa2b25852f83d351 100644 (file)
@@ -1,5 +1,3 @@
-require "cgi"
-
 module BrowseTagsHelper
   def format_key(key)
     if url = wiki_link("key", key)
index 88a5a2a74ae3a42a6970fdd94239d11d9efcf9c9..16470343656a1880a25eae74e6be6ba4c6417f38 100644 (file)
@@ -1,5 +1,3 @@
-require "htmlentities"
-
 module TitleHelper
   def self.coder
     @coder ||= HTMLEntities.new